slic3r-prusa (2.9.2+dfsg-1) unstable; urgency=medium

  * [b78f285] New upstream version 2.9.2+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 11 Apr 2025 00:34:48 +0800

slic3r-prusa (2.9.1+dfsg-1) unstable; urgency=medium

  * [2ee416f] Build-dep on libz3-dev
  * [dfa1dab] Workaround missing Z3 cmake files (#1098281)
  * [f1b5e0d] Rework OCCTWrapper patch to fix SLIC3R_FHS cmake errors
  * [ab0e76b] New upstream version 2.9.1+dfsg
  * [422c332] d/prusa-slicer.sharedmimeinfo: Add 3mf mime-type
    (Closes: #1010585)
  * [d40c907] New upstream version 2.9.1~rc2+dfsg
  * [32a8351] Refresh patches and drop upstreamed
  * [75c101f] Patch to downgrade catch2 dep to 3.7

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 11 Mar 2025 00:01:10 +0800

slic3r-prusa (2.9.0+dfsg-1) unstable; urgency=medium

  * [363bbe2] New upstream version 2.9.0~rc1+dfsg
  * [99768c7] New upstream version 2.9.0+dfsg
  * [4f9c2f9] Refresh patches
  * [0555c20] Update catch2v3 patch
  * [7823894] Import PR 13810 to turn on -fPIC and -fPIE
  * [63c6e39] Import PR 13896 to fix segfault in slic3rutils_tests
  * [ab3089c] autopkgtests: Install ca-certificates.
    Ensure ca-certificates are installed for autopkgtests

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 07 Jan 2025 14:26:36 +0800

slic3r-prusa (2.8.1+dfsg2-2) unstable; urgency=medium

  * [5731525] Fix FTBFS due to missing #include <random> (Closes: #1084769)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 08 Oct 2024 15:04:50 +0800

slic3r-prusa (2.8.1+dfsg2-1) unstable; urgency=medium

  [ Chow Loong Jin ]
  * [ce68597] New upstream version 2.8.1+dfsg
  * [a215e4a] Refresh patches
  * [972e6be] Build-dep on libwebkit2gtk-4.1-dev
  * [e611d77] Patch to fix eigen3-related build errors
  * [b210c8a] Update catch2 v3 patch
  * [5dca50c] Fix boost link errors
  * [d21f9c7] Link against libssl as well as libcrypto to fix unresolved symbols
  * [c49d5ae] Update file paths for bundled deps
  * [cb2e75a] Refresh CGAL compatibility patch
  * [aa00f43] Update debian/copyright
  * [ac589e8] New upstream version 2.8.1+dfsg2

  [ Gregor Riepl ]
  * [fa49c43] Add upstream patch to fix CGAL 6.0 compilation issue
  * [0017ea5] Extend CGAL 6.0 fix to unit test

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 21 Sep 2024 23:23:22 +0800

slic3r-prusa (2.8.0+dfsg-1) unstable; urgency=medium

  * [5de66ba] New upstream version 2.8.0+dfsg
  * [bfb8d3e] Refresh patches
  * [1855541] Drop add_library libexpat cmake patch.
    Upstream has handled it differently
  * [c010019] Build-dep on libwxgtk-webview3.2-dev
  * [5a5357a] Update catch2v3 patch
  * [afc2acc] Build-dep on libssl-dev
  * [5dc8e62] Patch to link against libcrypto
  * [80d7692] Add lintian override for connect_loading.html.
    Just a small inline svg for a logo
  * [76dc440] Drop superfluous file pattern in debian/copyright

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 05 Jul 2024 16:53:57 +0800

slic3r-prusa (2.7.5~rc1+dfsg-2) unstable; urgency=medium

  * [379c75d] Import ExtrusionLine::simplify fixes from PR 11811

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 24 Jun 2024 12:21:32 +0800

slic3r-prusa (2.7.5~rc1+dfsg-1) unstable; urgency=medium

  * [1420dc4] New upstream version 2.7.5~rc1+dfsg
  * [7ecfb96] Refresh patches
  * [ab868aa] Patch to fix OCCT 7.8.0 build failure

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 09 Jun 2024 17:28:16 +0800

slic3r-prusa (2.7.4+dfsg-1) unstable; urgency=medium

  * [3cddded] New upstream version 2.7.4+dfsg
  * [199df94] Refresh patches
  * [ddcd399] Update catch2 v3 patch

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 18 Apr 2024 13:26:21 +0800

slic3r-prusa (2.7.2+dfsg-1) unstable; urgency=medium

  * [68b95ef] New upstream version 2.7.2+dfsg
  * [60635b5] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Mar 2024 21:48:12 +0800

slic3r-prusa (2.7.1+dfsg-1) unstable; urgency=medium

  * [e8c34bb] Fix up dangling Approx usage in tests
  * [a8c65a4] New upstream version 2.7.1+dfsg
  * [1ed6790] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 15 Dec 2023 00:39:28 +0800

slic3r-prusa (2.7.0+dfsg-1) UNRELEASED; urgency=medium

  [ Gregor Riepl ]
  * Add upstream patch for uninitialized GravityKernel. Closes: #1057630
  * Replace WithinRel(0.0) comparisons in unit tests with WithinAbs(0.0)

  [ Chow Loong Jin ]
  * [2f0ba5b] New upstream version 2.7.0~rc1+dfsg
  * [f132051] New upstream version 2.7.0+dfsg
  * [d0ac0c0] Refresh patches
  * [51ce4b2] Update year in debian/copyright
  * [25d884e] Add libbgcode-dev as build-dep
  * [526fd96] Add libheatshrink-dev to build-deps
  * [d2f5b05] Sort build-deps
  * [88df6ae] Bump catch2 version requirement in test/CMakeLists.txt
  * [42b3e1e] Update catch2 v3 patch for new files

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 14 Dec 2023 20:32:09 +0800

slic3r-prusa (2.6.1+dfsg-4.1) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * Non-maintainer upload.

  [ Gregor Riepl ]
  * Use explicit initializers for two wxWidgets function calls.
    (Closes: #1056897)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 29 Nov 2023 13:34:45 -0600

slic3r-prusa (2.6.1+dfsg-4) unstable; urgency=medium

  * [9c87477] Update catch2 patch for v3 changes.
    Thanks to Gregor Riepl <onitake@gmail.com> (Closes: #1054697)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 15 Nov 2023 10:10:59 +0800

slic3r-prusa (2.6.1+dfsg-3) unstable; urgency=medium

  [ Antoni Villalonga ]
  * [1d54f79] Patch slic3r-prusa to use https in self-update operations and
    disable by default (Closes: #961903)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 28 Sep 2023 15:46:43 +0800

slic3r-prusa (2.6.1+dfsg-2) unstable; urgency=medium

  * [9e1e3d7] Save screenshot as artifact in check-gui autopkgtest
  * [ae3a89d] Extend sleep time for check-gui.
    10 seconds isn't enough to initialize on arm* boxes

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 27 Sep 2023 13:13:30 +0800

slic3r-prusa (2.6.1+dfsg-1) unstable; urgency=medium

  * [d069dc3] New upstream version 2.6.1+dfsg
  * [37f1207] Drop upstreamed patches
  * [fd9fa33] Refresh patches
  * [e94669b] Disable automatic app version check.
    This doesn't serve much purpose in a distro package and causes segfaults in
    autopkgtests.

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 12 Sep 2023 16:59:17 +0800

slic3r-prusa (2.6.0+dfsg-3) unstable; urgency=medium

  * [975876e] Update fonts-noto-* dependencies (Closes: #1050046)
  * [20431a6] Build-dep on python3-imath.
  * [f9a5eb5] Patch to fix compilation error

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 22 Aug 2023 16:25:44 +0800

slic3r-prusa (2.6.0+dfsg-2) unstable; urgency=medium

  * [7e02ab9] Reduce debug info on i386 to fix ftbfs.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #1041870)
  * [9c707ed] Import patch to fix ftbfs on arches where sizeof(std::float) != 4.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #1041870)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Jul 2023 16:02:36 +0800

slic3r-prusa (2.6.0+dfsg-1) unstable; urgency=medium

  * [8a284f5] Refresh patches and drop upstreamed patches
  * [43d53c6] Patch to fix libexpat cmake issue
  * [a3ea152] New upstream version 2.6.0~rc2+dfsg
  * [8f466d4] New upstream version 2.6.0+dfsg
  * [a88d80a] Drop transitional package slic3r-prusa.
    It has been released in bullseye and bookworm already. (Closes: #1038307)
  * [66a38d7] Build-dep on libnanosvg-dev
  * [19cc709] Build-dep on qhull
  * [8f0f096] Drop superfluous files from debian/copyright
    qhull, nanosvg, and shiny have been unbundled
  * [8ab4dca] Import patch to fix wxWidgets resizer assertion.
    Thanks to Pascal de Bruijn <pmjdebruijn@pcode.nl>

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 17 Jul 2023 15:33:29 +0800

slic3r-prusa (2.6.0~rc1+dfsg-1) UNRELEASED; urgency=medium

  * [349feb1] New upstream version 2.6.0~rc1+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 12 Jun 2023 12:14:13 +0800

slic3r-prusa (2.5.2+dfsg-1) unstable; urgency=medium

  * [12fed9e] New upstream version 2.5.2+dfsg
  * [d1fa111] Add autopkgtest

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 27 Apr 2023 17:04:34 +0800

slic3r-prusa (2.5.0+dfsg-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * [b4f4711] Link with libatomic on architectures that need it (Closes:
    #1025827)

  [ Chow Loong Jin ]
  * Rebuild against updated wxgtk3.2 for GLEW fixes (Closes: #1023365)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 05 Jan 2023 13:42:45 +0800

slic3r-prusa (2.5.0+dfsg-3) unstable; urgency=medium

  * [c460829] Patch to fix segfault due to imgui initialization error.
    Thanks to Thomas Viehmann <tv@beamnet.de> (Closes: #1022234)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 09 Dec 2022 17:48:42 +0800

slic3r-prusa (2.5.0+dfsg-2) unstable; urgency=medium

  * [3e9240e] Patch to fix wxTranslations::Get() nullptr segfault
    (Closes: #1020702)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 11 Oct 2022 10:45:56 +0800

slic3r-prusa (2.5.0+dfsg-1) unstable; urgency=medium

  * [b9075f6] Revert "Build-dep on libtbb2-dev"
    This reverts commit 208971db19690029a694f7def25190b8af55d248. The package
    has changed back to libtbb-dev.
  * [5fa0d52] Add opencascade build-deps
  * [0e6eee9] Update opencascade version to 7.6.3
  * [ab9b5bb] Set OPENVDB_FIND_MODULE_PATH to use upstream FindOpenVDB.cmake
  * [8b859a4] Patch to move OCCTWrapper.so into its own directory
  * [837ce0b] Drop version from find_package(OpenCASCADE...)
  * [5321bab] Fix FTBFS with older opencascade
  * [3c3b30e] New upstream version 2.5.0+dfsg
  * [6f214b1] Change wx build-dep to libwxgtk3.2-dev (Closes: #1019825)
  * [ffc8381] Drop prusa-slicer.desktop.
    This is duplicated by the upstream-provided PrusaSlicer.desktop
    (Closes: #1004132)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 22 Sep 2022 20:49:15 +0800

slic3r-prusa (2.4.2+dfsg-1) unstable; urgency=medium

  * [0a0534e] New upstream version 2.4.2+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 29 Apr 2022 10:22:47 +0800

slic3r-prusa (2.4.2~rc2+dfsg-1) experimental; urgency=medium

  * [a9164e3] New upstream version 2.4.2~rc2+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 14 Apr 2022 15:40:44 +0800

slic3r-prusa (2.4.2~rc1+dfsg-1) experimental; urgency=medium

  * [a903389] New upstream version 2.4.2~rc1+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Apr 2022 14:19:03 +0800

slic3r-prusa (2.4.1+dfsg-1) unstable; urgency=medium

  * [c913848] New upstream version 2.4.1+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 13 Mar 2022 21:02:25 +0800

slic3r-prusa (2.4.1~rc1+dfsg-1) UNRELEASED; urgency=medium

  * [4dc5b40] New upstream version 2.4.1~rc1+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 09 Mar 2022 11:46:55 +0800

slic3r-prusa (2.4.0+dfsg-2) unstable; urgency=medium

  * [ee4ac72] Stop linking against cereal library.
    It doesn't exist and it's causing FTBFS. (Closes: #1005492)
  * [8f58b90] Refresh Stop-building-test_voronoi.cpp.patch

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 25 Feb 2022 16:24:09 +0800

slic3r-prusa (2.4.0+dfsg-1) unstable; urgency=medium

  * [a97954a] New upstream version 2.4.0+dfsg
  * [99e6096] Disable dh_dwz to get aeround "Too many DIEs" error
  * [a5849c1] Drop deleted file patterns from debian/copyright

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 28 Dec 2021 01:05:16 +0800

slic3r-prusa (2.3.3+dfsg-3) unstable; urgency=medium

  * [8929e18] Use packaged catch2 library.
    Thanks to Tobias Frost <tobi@debian.org> (Closes: #979826)
  * [be803cc] Build-dep on catch2 and drop tests/catch2 files
  * [1cd5cda] Drop Move-Catch-namespace-into-PrusaCatch.patch.
    This is no longer needed now that we're using the packaged catch library

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 23 Dec 2021 03:02:30 +0800

slic3r-prusa (2.3.3+dfsg-2) unstable; urgency=medium

  * [98cf206] Disable compilation of test_voronoi.cpp to workaround ftbfs
    (Closes: #984338)
  * [dc392ad] Remove src/miniz/*.cpp from debian/copyright
  * [4384784] Fix tpi.h path in debian/copyright

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 21 Nov 2021 02:05:09 +0800

slic3r-prusa (2.3.3+dfsg-1) experimental; urgency=medium

  * [e30ffae] New upstream version 2.3.3+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 19 Jul 2021 03:22:09 +0800

slic3r-prusa (2.3.2+dfsg-1) experimental; urgency=medium

  * [1d9bbbe] New upstream version 2.3.2+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 09 Jul 2021 01:55:59 +0800

slic3r-prusa (2.3.1+dfsg-1) unstable; urgency=medium

  * [0417841] New upstream version 2.3.1+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 18 Apr 2021 01:24:02 +0800

slic3r-prusa (2.3.0+dfsg-1) unstable; urgency=medium

  * [aaf8827] Build-dep on libgtk-3-dev
  * [8489e62] Add patch to link against gtk3.
    This fixes the compilation error documented at
    https://github.com/prusa3d/PrusaSlicer/issues/5739
  * [2fc181c] New upstream version 2.3.0+dfsg
  * [3fa7d96] Drop upstreamed Link-against-gtk3.patch

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 13 Jan 2021 23:38:19 +0800

slic3r-prusa (2.3.0~rc3+dfsg-1) UNRELEASED; urgency=medium

  * [65edb5d] Add copyright for metainfo file
  * [e322b01] Bump debhelper compat level to 12
  * [5726059] Drop redundant `--parallel` parameter to dh.
    Looks like debhelper doesn't need it these days
  * [eaf4e0c] Add prusa-gcodeviewer manpage
  * [a12a9ca] New upstream version 2.3.0~rc3+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Jan 2021 05:29:49 +0800

slic3r-prusa (2.3.0~rc2+dfsg-1) UNRELEASED; urgency=medium

  * [ee7a167] New upstream version 2.3.0~rc2+dfsg
  * [a55c26f] Patch to fix FTBFS with new boost (Closes: #975665)
  * [1897068] Allow rc versions in debian/watch
  * [5972eae] Drop upstreamed patches
  * [9a331d5] Add libpng-dev build-dep
  * [cb0e8e4] Build-dep on libdbus-1-dev
  * [8bbd7f1] Rename Catch namespace to avoid symbol conflict with liblog4cplus
    (Closes: #975198)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 07 Jan 2021 14:56:55 +0800

slic3r-prusa (2.2.0+dfsg1-4) unstable; urgency=medium

  * [3b6500e] Fix alpha channel issues in icons (Closes: #949333)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 06 Dec 2020 15:12:30 +0800

slic3r-prusa (2.2.0+dfsg1-3) unstable; urgency=medium

  * [4bab085] Reduce debug info on armhf.
    Apparently 90MB is too much for armhf. (Closes: #961373)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 28 Sep 2020 01:13:24 +0800

slic3r-prusa (2.2.0+dfsg1-2) unstable; urgency=medium

  * [38942b0] Fix FTBFS on mips, and mipsel (oom), and i386 (float issues)
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #961107)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 22 May 2020 12:40:15 +0800

slic3r-prusa (2.2.0+dfsg1-1) unstable; urgency=medium

  * [187c962] Drop upstreamed patches
  * [efbc72c] Update libwxgtk3.0-dev build-dep to libwxgtk3.0-gtk3-dev.
    Update SLIC3R_GTK cmake option to 3 as well. We no longer have a gtk2
    version of wxgtk around.
  * [4d21963] Build-dep on libopenvdb-dev
  * [4c977a3] Drop perl build-dep.
    We're no longer a perl program
  * [954c058] Build-dep on libcgal-dev
  * [6353674] Build-dep on libudev-dev
  * [f4377be] Exclude deps folder.
    Upstream seems to have bundled the world.
  * [12cf549] New upstream version 2.2.0+dfsg1

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 07 Apr 2020 23:08:57 +0800

slic3r-prusa (2.2.0+dfsg-1) UNRELEASED; urgency=medium

  * [922dd32] New upstream version 2.2.0+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 26 Mar 2020 00:21:06 +0800

slic3r-prusa (2.1.1+dfsg-3) unstable; urgency=medium

  * [a3155f2] Build against gtk2 instead of gtk3

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 28 Jan 2020 10:53:39 +0800

slic3r-prusa (2.1.1+dfsg-2) unstable; urgency=medium

  * [f44a47a] Reexport patches using gbp-pq
  * [106ab86] Fix admesh compilation error on big-endian architectures

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 24 Jan 2020 04:51:23 +0800

slic3r-prusa (2.1.1+dfsg-1) unstable; urgency=medium

  * [690563b] Install everything into debian/prusa-slicer
  * [b1ee9a5] Override local copy of NotoSans-Regular.ttf with symlink
  * [06d23bc] Update libgtest-dev build-dep to 1.7
  * [0fb7ef8] Update paths in debian/copyright
  * [93860ed] Update debian/copyright
  * [3807a67] New upstream version 2.1.1+dfsg
  * [c8d7f4a] Update paths in debian/copyright
  * [2b25f7d] Drop Use-system-libs.patch (upstreamed)
  * [8d6a3c0] Build-dep on libcereal-dev
  * [a6c3472] Fix syntax error in debian/copyright
  * [7bcede0] Fix license paragraphs in debian/copyright
  * [e93c98d] Update exec command in desktop file
    Drop --gui parameter, no longer exists
  * [489c360] Redo manpage for new options
  * [3ed4488] Amend references to Slic3r in package description.
    Update them to PrusaSlicer

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 Jan 2020 11:21:02 +0800

slic3r-prusa (2.0.0+dfsg-1) UNRELEASED; urgency=medium

  * [70aeaf2] New upstream version 2.0.0
  * [6978afd] Refresh patches
  * [e9fd8a2] Update cmake flags
  * [f8045cf] Build-dep on zlib1g-dev
  * [3ef7df3] Update desktop file and icons
  * [a95a6ac] Drop outdated patches
  * [70a5346] Rename manpage
  * [341fbe5] Rename desktop file
  * [3016368] Drop perl dependencies
  * [2e44831] Rename slic3r-prusa binary package to prusa-slicer
  * [7fc8ceb] Drop dh_perl override in debian/rules
  * [2d4d1dd] Update debian/copyright
  * [5a6f513] New upstream version 2.0.0+dfsg
  * [64482a7] Re-add slic3r-prusa as a transitional package

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 15 Aug 2019 17:17:24 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog prusa-slicer`.
